Subject: Tell users to update/reconfigure regularly
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jul 2019 11:35:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When installing Guix System from the iso image, users should be told
to pull and reconfigure regularly.  Even though it is mentioned in the
manual, not everyone reads manuals.  I believe Guix’ target users
include inexperienced users who do not know that they should update
and upgrade regularly.  Therefore the installer should tell users how
to do so and that it is important and perhaps what to do if things
break.

Of course, some users still won’t update and they should have the
liberty to decide for themselves, but some users just forget to
update.  Ubuntu defaults to automatic updates, which slow down the
machine and annoy users.  Still, maybe there should be notifications
like a cron job invoking libnotify’s notify-send.

Regards,
Florian